# $Revision: 1.17 $, $Date: 2002/03/02 04:49:29 $
Summary:	Many metawidgets (such as notepads) for tk
Summary(de):	Zahlreiche Metawidgets (wie etwa Notepads) fr tk
Summary(fr):	Nombreux meta-widgets (comme les bloc-notes) pour tk
Summary(pl):	Wiele widgetw (takich jak notepad) dla tk
Summary(tr):	Tk iin ek arayz elemanlar (not defterleri v.b.)
Name:		tix
Version:	8.1.3
Release:	2
Epoch:		1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://prdownloads.sourceforge.net/tix/%{name}-%{version}.tar.gz
Patch0:		%{name}-scriptpaths.patch
Patch1:		%{name}-fhs.patch
Patch2:		%{name}-autoconf.patch
URL:		http://tix.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.3.2
BuildRequires:	tk-devel >= 8.3.2
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tix is a add on for the tk widget set which adds many complex widgets
which are built from tk building blocks. The extra widgets include
combo box, file selection, notebooks, paned windows, spin controls,
and hierarchical list boxes.

%description -l de
Tix ist ein Zusatzprogramm fr den 'tk widget set', das viele komplexe
Widgets hinzufgt, die aus tk-Bausteinen bestehen, z.B.
Kombinationsfelder, Dateiauswahl, Notizblcke, berlappende Fenster,
Drehknpfe und hierarchische Listenfelder.

%description -l fr
tix est un ajout  l'ensemble des widgets Tk qui apporte de nombreux
widgets complexes construits  partir des briques de tk. Les widgets
supplmentaires incluent les combo box, la slection de fichiers, les
notebooks, les fentres  paned  et les listes hirarchises.

%description -l pl
Tix jest dodatkiem dla tk, zawierajcym wiele interesujcych widgetw.

%description -l tr
Tix, tk yaptalar kullanlarak oluturulmu bir ok karmak arayz
eleman bulunduran bir eklemedir. Bu yeni elemanlar arasnda oktan
semeli kutular, dosya seim kutular, not defterleri, ok ksml
pencereler yer almaktadr.

%package devel
Summary:	Tix header files and development documentation
Summary(pl):	Pliki nagwkowe oraz dokumentacja do Tix
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}

%description devel
Tix header files and development documentation

%description devel -l pl
Pliki nagwkowe oraz dokumentacja do Tix.

%package demo
Summary:	Tix - demo programs
Summary(pl):	Tix - programy demostracjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}

%description demo
Tix - demo programs.

%description demo -l pl
Tix - programy demostracjne.

%prep
%setup  -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd unix
aclocal; autoconf
%configure \
	--disable-cdemos \
	--enable-shared

cd tk8.3
aclocal; autoconf
%configure \
	--disable-cdemos \
	--enable-shared

%{__make} CFLAGS="%{rpmcflags} -D_REENTRANT -w"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_prefix}/src/examples/%{name}}

(cd unix
LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} \
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	TIX_LIBRARY=$RPM_BUILD_ROOT%{_datadir}/tix8.1

mv -f $RPM_BUILD_ROOT%{_mandir}/mann/tixwish.1 \
	$RPM_BUILD_ROOT%{_mandir}/man1

(cd tk8.3
%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} ) )

#mv -f	$RPM_BUILD_ROOT%{_bindir}/tixwish4.1.8.0 \
#	$RPM_BUILD_ROOT%{_bindir}/tixwish

mv -f $RPM_BUILD_ROOT%{_datadir}/tix8.1/demos \
	$RPM_BUILD_ROOT%{_prefix}/src/examples/%{name}
mv -f $RPM_BUILD_ROOT%{_bindir}/tixwish8.1.8.3 \
	$RPM_BUILD_ROOT%{_bindir}/tixwish

gzip -9nf docs/*.txt

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so

%dir %{_datadir}/tix8.1
%{_datadir}/tix8.1/*.tcl
%{_datadir}/tix8.1/tclIndex

%{_datadir}/tix8.1/bitmaps
%{_datadir}/tix8.1/pref
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc docs/*.gz docs/{pdf,tix-book}
%attr(755,root,root) %{_libdir}/tixConfig.sh
%{_includedir}/*.h
%{_mandir}/man[3n]/*

%files demo
%defattr(644,root,root,755)
%dir %{_prefix}/src/examples/%{name}
%attr(-,root,root) %{_prefix}/src/examples/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tix.spec,v $
Revision 1.17  2002/03/02 04:49:29  kloczek
- release 2.

Revision 1.16  2002/03/01 22:16:47  misiek
BR: which

Revision 1.15  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/06 11:17:30  kloczek
- updated to 8.1.3 (new stable version).

Revision 1.12  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/08/10 23:44:19  kloczek
- release 5,
- rebuild in enviroment with fixed tk-devel,
- added automake, autoconf to BuildRequires.

Revision 1.10  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/01/25 20:03:52  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/17 06:52:34  kloczek
- release 4,
- rebuild against tcl,tk 8.3.2,
- use new rpm automation.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  1999/09/07 12:18:50  kloczek
- added BuildRequires rules.

Revision 1.2  1999/09/07 11:51:34  kloczek
- added Serial: 1 (because RH package have incorrect version number),
- added de translaition from BeroLinux spec,
- updated to 4.1.0.007,
- added autoconf whotch allow build tix without installed full source tcl
  and tk in $RPM_BUILD_ROOT/..,
- added devel and demo subpackages,
- added using %configure macro,
- added to %doc in devel full tix guilde in ps.

* Wed Jun 16 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- major changes -- buil for 1.3 PLD

* Sun Jan 31 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added Group(pl),

  by Maciek Rycki <macro@ds2.amg.gda.pl>

- added small patch.

* Sun Nov 15 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [4.1.0-1d]
- build for Linux PLD,
- major changes.
